/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/* responsive for larger than 575px screen */
@media (min-width: 575px) {
    :root {
        --fontSize-body-2: 2rem;
    }

    :is(.service, .about) .section-text {
        max-width: 420px;
        margin-inline: auto;
    }

    .contact-number {
        --fontSize-body-1: 3rem;
    }

    /* TOPBAR */
    .topbar {
        display: block;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        padding-block: 10px;
        border-block-end: 1px solid var(--white-alpha-20);
        z-index: 4;
        transition: var(--transition-1);
    }

    .topbar:has(~ .header.active) {
        transform: translateY(-100%);
    }

    .topbar-item:not(.link),
    .topbar .separator {
        display: none;
    }

    .topbar .container,
    .topbar-item {
        display: flex;
        align-items: center;
    }

    .topbar .container {
        justify-content: center;
        gap: 30px;
    }

    .topbar-item {
        gap: 6px;
    }

    .topbar-item ion-icon {
        --ionicon-stroke-width: 60px;
    }

    .topbar-item .span {
        font-size: var(--fontSize-label-1);
    }

    .topbar .link {
        transition: var(--transition-1);
    }

    .topbar .link:is(:hover, :focus-visible) {
        color: var(--gold-crayola);
    }

    /* HEADER */
    .header {
        top: 20px;
    }

    .header.active {
        top: 0;
    }

    .header .btn {
        display: block;
        margin-inline-start: auto;
    }

    /* HERO */
    .hero-btn {
        transform: scale(0.7);
    }

    /* SERVICE */
    .service .container {
        max-width: 420px;
        margin-inline: auto;
    }

    /* ABOUT */
    .about .container {
        gap: 80px;
    }

    .about-banner>.w-100 {
        padding-inline-start: 90px;
    }

    .about .abs-img-1 {
        width: 285px;
    }

    .about .contact-number {
        --fontSize-body-1: 2.4rem;
    }

    /* MENU */
    .menu-card .title-wrapper {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        gap: 15px;
    }

    .menu-card .badge {
        margin-block-start: 0;
    }

    .menu-card .span {
        flex-grow: 1;
        display: flex;
        align-items: center;
        gap: 15px;
        position: relative;
    }

    .menu-card .span::before {
        content: "";
        height: 6px;
        flex-grow: 1;
        border-block: 1px solid var(--white-alpha-20);
    }

    /* EVENT */
    .event .container {
        max-width: 420px;
        margin-inline: auto;
    }

    /* FOOTER */
    .footer-brand>* {
        max-width: none;
        margin-inline: auto;
    }

    .footer .input-wrapper {
        position: relative;
    }

    .footer .input-field {
        margin-block-end: 0;
        padding-inline-end: 205px;
    }

    .footer-brand .btn {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        min-width: max-content;
    }

}


/* responsive for larger than 768px screen */
@media (min-width: 768px) {
    .grid-list {
        grid-template-columns: 1fr 1fr;
    }

    :is(.service, .event) .container {
        max-width: 820px;
    }

    :is(.service, .event) .grid-list li:last-child {
        grid-column: 1 / 3;
        width: calc(50% - 20px);
        margin-inline: auto;
    }

    /* HEADER */
    .navbar-list {
        margin-inline: 30px;
    }

    /* HERO */
    .hero .slider-btn {
        display: grid;
        position: absolute;
        z-index: 1;
        color: var(--gold-crayola);
        font-size: 2.4rem;
        border: 1px solid var(--gold-crayola);
        width: 45px;
        height: 45px;
        place-items: center;
        top: 50%;
        transform: translateY(-50%) rotate(45deg);
        transition: var(--transition-1);
    }

    .hero .slider-btn ion-icon {
        transform: rotate(-45deg);
    }

    .hero .slider-btn.prev {
        left: 30px;
    }

    .hero .slider-btn.next {
        right: 30px;
    }

    .hero .slider-btn:is(:hover, :focus-visible) {
        background-color: var(--gold-crayola);
        color: var(--black);
    }

    /* RESERVATION */
    .reservation .input-wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 20px;
    }

    .reservation .input-wrapper:nth-child(4) {
        grid-template-columns: repeat(3, 1fr);
    }

    .about .container {
        grid-template-columns: 1fr 1fr;
        align-items: center;
    }

    .flavor-section {
        flex-direction: column;
        text-align: center;
    }

    /* FOOTER */
    .footer-brand {
        grid-column: 1 / 3;
    }

}


/* responsive for larger than 992px screen */
@media (min-width: 992px) {
    :root {
        --section-space: 100px;
    }

    :is(.service, .event) .container {
        max-width: unset;
    }

    :is(.service, .event) .grid-list {
        grid-template-columns: repeat(3, 1fr);
    }

    :is(.service, .event) .grid-list li:last-child {
        grid-column: auto;
        width: 100%;
    }

    /* TOPBAR */

    .topbar-item:not(.link) {
        display: flex;
    }

    .topbar .item-2 {
        margin-inline-end: auto;
    }

    /* SERVICE */
    .service .shape {
        display: block;
    }

    .service .shape-1 {
        bottom: 0;
        left: 0;
    }

    .service .shape-2 {
        top: 0;
        right: 0;
    }

    /* ABOUT */
    .about .container {
        grid-template-columns: 0.7fr 1fr;
        gap: 30px;
    }

    /* SPECIAL DISH */
    .special-dish {
        display: grid;
        grid-template-columns: 1fr 1fr;
        text-align: left;
    }

    .special-dish-content {
        padding-inline: 50px 25px;
    }

    .special-dish-content .container {
        position: relative;
    }

    .special-dish .section-subtitle::after,
    .special-dish .btn {
        margin-inline: 0;
    }

    .special-dish-content .wrapper {
        justify-content: flex-start;
    }

    .special-dish .abs-img {
        position: absolute;
        top: 10px;
        left: -40px;
        animation: move 5s linear infinite;
    }

    /* MENU */
    .menu .grid-list {
        position: relative;
        column-gap: 90px;
    }

    .menu .grid-list::before {
        content: "";
        position: absolute;
        top: 0;
        left: 50%;
        height: 100%;
        border-inline-start: 1px solid var(--white-alpha-20);
    }

    /* TESTIMONIALS */
    .testi-text {
        max-width: 910px;
        margin-inline: auto;
    }

    /* RESERVATION */
    .reservation-form {
        display: grid;
        grid-template-columns: 1fr 0.5fr;
    }

    /* FOOTER */
    .footer .grid-list {
        grid-template-columns: auto;
        align-items: center;
    }

    .footer-brand {
        grid-column: auto;
        order: 1;
    }

    .footer-list:last-child {
        order: 2;
    }

}


/* responsive for larger than 1200px screen */
@media (min-width: 1200px) {
    :root {
        --fontSize-title-2: 2.5rem;
    }

    .container,
    :is(.service, .event) .container {
        max-width: 1200px;
        width: 100%;
        margin-inline: auto;
    }

    /* TOPBAR */
    .topbar .container {
        max-width: unset;
    }

    .topbar .separator {
        display: block;
    }

    /* HEADER */
    .nav-open-btn,
    .navbar>*:not(.navbar-list),
    .header .overlay {
        display: none;
    }

    .header .container {
        max-width: unset;
    }

    .navbar,
    .navbar.active,
    .navbar-list {
        all: unset;
    }

    .navbar,
    .navbar.active {
        margin-inline: auto;
    }

    .navbar-list {
        display: flex;
        gap: 30px;
    }

    .navbar-item {
        border-block-start: none;
    }

    .navbar .separator {
        display: none;
    }

    .navbar-link:is(:hover, :focus-visible, .active) .span {
        transform: unset;
    }

    .navbar-link {
        font-weight: var(--weight-bold);
        letter-spacing: var(--letterSpacing-1);
    }

    .navbar-link::after {
        display: block;
    }

    .navbar-link.active::after {
        transform: scaleX(1);
        opacity: 1;
    }

    .header .btn {
        margin-inline-start: 0;
    }

    /* HERO */
    .hero {
        height: 880px;
    }

    .hero-btn {
        bottom: 50px;
        right: 50px;
        transform: scale(1);
    }

    /* SERVICE */
    .service .grid-list {
        gap: 150px;
    }

    .service .grid-list li:nth-child(2n+1) {
        transform: translateY(-160px);
    }

    .service .section-text {
        margin-block-end: 75px;
    }

    /* ABOUT */
    .about {
        padding-block: 170px 100px;
    }

    /* SPECIAL DISH */
    .special-dish-content {
        padding: 225px 120px;
        padding-inline-end: 0;
    }

    .special-dish-content .container {
        max-width: 460px;
        margin-inline: 0;
    }

    /* MENU */
    .menu .grid-list {
        gap: 55px 200px;
        margin-block-end: 55px;
    }

    /* TESTIMONIALS */
    .form-left,
    .form-right {
        padding: 75px 60px;
    }

    /* FEATURES */
    .features .grid-list {
        grid-template-columns: repeat(4, 1fr);
    }

}


/* responsive for larger than 1400px screen */
@media (min-width: 1400px) {

    /* HEADER */
    .navbar {
        margin-inline: auto;
    }

    /* ABOUT */
    .about-content {
        padding-inline-end: 90px;
    }

    .about .shape {
        display: block;
        top: 46%;
        left: 0;
    }

    /* SPECIAL DISH */
    .special-dish {
        overflow: visible;
        position: relative;
    }

    .special-dish .shape {
        display: block;
        right: 0;
        z-index: 1;
    }

    .special-dish .shape-1 {
        top: 45%;
    }

    .special-dish .shape-2 {
        bottom: 0;
        transform: translateY(50%);
        width: max-content;
    }

    /* FEATURES */
    .features {
        overflow: visible;
    }

    .features .shape {
        display: block;
    }

    .features .shape-1 {
        top: -100px;
        right: 0;
    }

    .features .shape-2 {
        bottom: 80px;
        left: 0;
    }

}


/* Mobile view (≤ 576px) */
@media (max-width: 576px) {
    .testi .quote {
        font-size: 2rem;
    }

    .profile .img {
        width: 80px;
        height: 80px;
    }

    .testi .testi-text {
        font-size: 1.4rem;
        margin-top: 15px;
        font-weight: 800;
    }
}

/* responsive for less than 574px screen */
@media (max-width: 574px) {
    .logo img {
        width: 200px;
    }

    .header {
        padding-block: 10px;
    }

    .award-section {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 20px;
        margin: 20px 0;
    }

    .testi {
        max-width: 500px;
        height: 800px;
    }

    .testi .wrapper {
        margin-block: 0;
        margin-top: 30px;
    }

    .about .section-subtitle {
        font-size: 15px;
        text-align: center;
        margin-bottom: 20px;
    }

    .profile {
        display: inline;
    }
}